%global pypi_name pandas
%bcond_with test

Name:           python-%{pypi_name}
Version:        2.2.2
Release:        1
Summary:        Data structures and data analysis tools for Python
License:        BSD
URL:            https://pandas.pydata.org/
Source0:        https://github.com/pandas-dev/pandas/releases/download/v%{version}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  gcc gcc-c++ python3-Cython python3-cffi
BuildRequires:  python3-devel python3-setuptools python3-numpy
%if %{with test}
BuildRequires:  python3-pytest >= 4.0.2
%endif
BuildRequires:  python3-pip python3-wheel python3-meson-python python3-versioneer

%global _description \
pandas is an open source, BSD-licensed library \
providing high-performance, easy-to-use data structures \
and data analysis tools for the Python programming language.

%description %{_description}

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires: python3-numpy python3-dateutil python3-pytz python3-hypothesis python3-pytest-xdist


%description -n python3-%{pypi_name} %{_description}

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_build

%install
%pyproject_install

%if %{with test}
%check
py.test-%{python3_version}
%endif

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitearch}/%{pypi_name}/
%{python3_sitearch}/%{pypi_name}-*.dist-info/

%changelog
* Wed Apr 24 2024 zhaojingyu <zhaojingyu@kylinos.cn> - 2.2.2-1
- Update to 2.2.2
- Avoid issuing a spurious DeprecationWarning when a custom DataFrame or Series subclass method is called

* Mon Feb 19 2024 wangkai <13474090681@163.com> - 2.2.0-1
- Update to 2.2.0 for Cython3

* Fri Sep 08 2023 wulei <wu_lei@hoperun.com> - 1.5.3-1
- Update to 1.5.3

* Fri Apr 21 2023 wubijie <wubijie@kylinos.cn> - 1.4.2-1
- Update package to version 1.4.2

* Tue Apr 18 2023 wubijie <wubijie@kylinos.cn> - 1.4.1-1
- Update package to version 1.4.1

* Wed Aug 25 2021 wulei <wulei80@huawei.com> - 1.3.2-1
- update to 1.3.2

* Wed Nov 6 2019 shanshishi <shanshishi@huawei.com> - 0.25.3-1
- Init package
